> For the complete documentation index, see [llms.txt](https://docs.intrepidcs.com/neovi-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.intrepidcs.com/neovi-api/win32-api-overview-intrepidcs-api/structures-types-and-defines-overview-intrepidcs-api/setting-structures-overview-intrepidcs-api/sub-setting-structures-overview-intrepidcs-api/setting-structures-overview-intrepidcs-api/clock_quality-structure.md).

# clock\_quality Structure

This structure defines various settings for the clock\_quality in gPTP

{% tabs %}
{% tab title="C/C++ Declare" %}

```cpp
// Some typedef struct __declspec (align(1))
{
   uint8_t clock_class;
   uint8_t clock_accuracy;
   uint16_t offset_scaled_log_variance;
}clock_quality;
```

{% endtab %}

{% tab title="Visual Basic .NET Declare" %}

```vbnet
<StructLayout(LayoutKind.Sequential, Pack:=1)> Public Structure clock_quality
   Dim clock_class As Byte
   Dim clock_accuracy As Byte
   Dim offset_scaled_log_variance As UInt16
End Structure 
```

{% endtab %}

{% tab title="C# .NET Declare" %}

```csharp
[StructLayout(LayoutKind.Sequential,Pack=1)]
public struct clock_quality
{
   public byte clock_class;
   public byte clock_accuracy;
   public UInt16 offset_scaled_log_variance;
}
```

{% endtab %}
{% endtabs %}

**Remarks**

| Item                          | Description                                                                                                                                                                                        |
| ----------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| clock\_class                  | <p>Clock Class indicates the traceability of the data from the ClockMaster when it acts as a GrandMaster.</p><p>See IEEE Std 1588-2019 for a more detailed description of clockClass.</p>          |
| clock\_accuracy               | <p>Sets the expected time accuracy of the ClockMaster. Lower values indicate better accuracy. 254 is for Unknown.</p><p>See IEEE Std 1588-2019 for more detailed description of clockAccuracy.</p> |
| offset\_scaled\_log\_variance | <p>This parameter is an estimate of the Variance in PTP.</p><p>See gPTP spec, 8021AS for more details.</p>                                                                                         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.intrepidcs.com/neovi-api/win32-api-overview-intrepidcs-api/structures-types-and-defines-overview-intrepidcs-api/setting-structures-overview-intrepidcs-api/sub-setting-structures-overview-intrepidcs-api/setting-structures-overview-intrepidcs-api/clock_quality-structure.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
